<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>

<!-- polices par défauts pour les familles génériques -->

<alias>
	<family>cursive</family>
	<accept>
		<family>URW</family>
	</accept>
</alias>

<alias>
	<family>fantasy</family>
	<prefer>
		<family>Comic Sans MS</family>
	</prefer>
</alias>

<alias>
	<family>monospace</family>
	<prefer>
		<family>Courier New</family>
	</prefer>
</alias>

<alias>
	<family>sans-serif</family>
	<prefer>
		<family>Arial</family>
	</prefer>
</alias>

<alias>
	<family>serif</family>
	<prefer>
		<family>Times New Roman</family>
	</prefer>
</alias>

<!-- Configuration spécifique des polices Andale Mono, Arial, Arial Black, Comic Sans MS, Georgia, Impact, Trebuchet MS, Verdana, Courier New, Times New Roman et Webdings -->

<!-- hinting et pas de rgba dans tous les cas -->
<match target="font">
	<test name="family">
		<string>Andale Mono</string>
		<string>Arial</string>
		<string>Arial Black</string>
		<string>Comic Sans MS</string>
		<string>Courier New</string>
		<string>Georgia</string>
		<string>Impact</string>
		<string>Times New Roman</string>
		<string>Trebuchet MS</string>
		<string>Verdana</string>
		<string>Webdings</string>
	</test>
	<edit mode="assign" name="hinting" >
		<bool>true</bool>
	</edit>
	<edit mode="assign" name="rgba" >
		<const>none</const>
	</edit>
</match>

<!-- pas de lissage des petites polices non grasses -->
<match target="font">
	<test name="family">
		<string>Andale Mono</string>
		<string>Arial</string>
		<string>Comic Sans MS</string>
		<string>Georgia</string>
		<string>Trebuchet MS</string>
		<string>Verdana</string>
		<string>Courier New</string>
		<string>Times New Roman</string>
	</test>
	<edit mode="assign" name="hintstyle" >
		<const>hintmedium</const>
	</edit>
	<edit mode="assign" name="antialias" >
		<bool>false</bool>
	</edit>
</match>

<!-- lissage et hintfull des polices -->
<match target="font">
	<test name="family">
		<string>Arial Black</string>
		<string>Impact</string>
		<string>Webdings</string>
	</test>
	<edit mode="assign" name="hintstyle" >
		<const>hintfull</const>
	</edit>
	<edit mode="assign" name="antialias" >
		<bool>true</bool>
	</edit>
</match>

<!-- correspondance size (taille des polices telle quelle est indiqué dans les programmes) - pixelsize (taille des polices utilisée par fonts.conf)
size		6 7  8  9 10 11 12 13 14 15 16 17 18 19 20
pixelsize	8 9 11 12 13 15 16 17 19 20 21 23 24 25 27
-->

<!-- si vous voulez un affichage plus flou pour des polices non grasses au-delà d'une certaine taille, remplacez "hintfull" par "hintslight" dans les 3 sections suivantes. L'inconvénient est que les polices non grasses colorées auront un léger effet "baveux" au-delà d'une certaine taille-->


<!-- lissage et hintfull des polices de tailles strictement supérieures 14 (correspondant à pixelsize >= 19) -->
<match target="font">
	<test name="family">
		<string>Andale Mono</string>
	</test>
	<test compare="more" name="pixelsize" qual="any" >
		<int>19</int>
	</test>
	<edit mode="assign" name="hintstyle" >
		<const>hintfull</const>
	</edit>
	<edit mode="assign" name="antialias" >
		<bool>true</bool>
	</edit>
</match>

<!-- lissage et hintfull des polices de tailles strictement supérieures à 13 (correspondant à pixelsize >= 17) -->
<match target="font">
	<test name="family">
		<string>Arial</string>
		<string>Times New Roman</string>
	</test>
	<test compare="more" name="pixelsize" qual="any" >
		<int>17</int>
	</test>
	<edit mode="assign" name="hintstyle" >
		<const>hintfull</const>
	</edit>
	<edit mode="assign" name="antialias" >
		<bool>true</bool>
	</edit>
</match>

<!-- lissage et hintfull des polices de tailles strictement supérieures à 12 (correspondant à pixelsize >= 16) -->
<match target="font">
        <test name="family">
               <string>Comic Sans MS</string>
                <string>Georgia</string>
                <string>Trebuchet MS</string>
                <string>Verdana</string>
        </test>
        <test compare="more" name="pixelsize" qual="any" >
                <int>16</int>
        </test>
        <edit mode="assign" name="hintstyle" >
                <const>hintfull</const>
        </edit>
        <edit mode="assign" name="antialias" >
                <bool>true</bool>
        </edit>
</match>

<!-- lissage et hintmedium de la police "Courier New" pour les tailles strictement supérieures à 28 (correspondant à pixelsize >= 37) -->
<match target="font">
        <test name="family">
               <string>Courier New</string>
        </test>
        <test compare="more" name="pixelsize" qual="any" >
                <int>37</int>
        </test>
        <edit mode="assign" name="hintstyle" >
                <const>hintmedium</const>
        </edit>
        <edit mode="assign" name="antialias" >
                <bool>true</bool>
        </edit>
</match>

<!-- lissage et hintfull des polices grasses -->
<match target="font">
	<test name="family">
		<string>Andale Mono</string>
		<string>Arial</string>
		<string>Comic Sans MS</string>
<!-- Activez la ligne suivante pour optimiser l'affichage web de la police
Courier New (par défaut l'affichage est optimisé pour les éditeurs de texte) -->
<!--		<string>Courier New</string> -->
		<string>Georgia</string>
		<string>Trebuchet MS</string>
		<string>Verdana</string>
		<string>Times New Roman</string>
	</test>
	<test compare="more" name="weight" qual="any" >
		<int>180</int>
	</test>
	<test compare="less" name="weight" qual="any" >
		<int>210</int>
	</test>
	<edit mode="assign" name="hintstyle" >
		<const>hintfull</const>
	</edit>
	<edit mode="assign" name="antialias" >
		<bool>true</bool>
	</edit>
</match>

<!-- lissage et hintslight des polices italiques grasses -->
<match target="font">
	<test name="family">
		<string>Andale Mono</string>
		<string>Arial</string>
		<string>Comic Sans MS</string>
<!-- Activez la ligne suivante pour optimiser l'affichage web de la police
Courier New (par défaut l'affichage est optimisé pour les éditeurs de texte) -->
<!--		<string>Courier New</string> -->
		<string>Georgia</string>
		<string>Times New Roman</string>
		<string>Trebuchet MS</string>
		<string>Verdana</string>

	</test>
	<test compare="eq" target="pattern" name="slant" >
		<const>italic</const>
	</test>
 	<test compare="more" name="weight" qual="any" >
		<int>180</int>
	</test>
	<test compare="less" name="weight" qual="any" >
		<int>210</int>
	</test>
	<edit mode="assign" name="hintstyle" >
		<const>hintslight</const>
	</edit>
	<edit mode="assign" name="antialias" >
		<bool>true</bool>
	</edit>
</match>

</fontconfig>